<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<div class="container">
    <div class="subHeader">
        <h1 class="logo">안동시 교통정보센터</h1>
        <div class="pageLocation">
            <%@ include file="/WEB-INF/jsp/egovframework/include/adminSubMenu.jsp" %>
        </div>
    </div>
    <div class="subContent">
        <!-- 어드민 탭메뉴 -->
        <%@ include file="/WEB-INF/jsp/egovframework/include/adminMenu.jsp" %>
        <!--// 어드민 탭메뉴 -->
        <div class="pageTitle">
            <h2>공지사항 관리</h2>
            <p>안동시 첨단교통센터 <span>관리자</span> 정보입니다.</p>
        </div>
        <div class="adminWrap">
            <div class="boardWrap">
                <form id="uploadForm" method="post" action="/admin/insertNotice.do" enctype="multipart/form-data">
                    <div class="board-form">
                        <dl>
                            <dt><span>제목</span></dt>
                            <dd><input type="text" id="subject" name="subject" placeholder="제목을 입력하세요." value="" style="width: 100%;"></dd>
                        </dl>
                        <dl>
                            <dt><span>내용</span></dt>
                            <dd>
                                <div class="editor" style="width: 100%;"><textarea style="width:100%; min-height: 400px;" id="content" name="content"></textarea></div>
                            </dd>
                        </dl>
                        <dl>
                            <dt><span>파일첨부</span></dt>
                            <dd class="attachBox">
                                <input type="file" name="attachFile" id="attachFile1">
                                <input type="file" name="attachFile" id="attachFile2">
                                <input type="file" name="attachFile" id="attachFile3">
                            </dd>
                        </dl>
                    </div>
                </form>
                <div class="btnArea">
                    <button type="button" class="button" onclick="saveNoticeInfo()">작성완료</button>
                    <button type="button" class="button" onclick="goBack()">취소</button>
                </div>
            </div>
        </div>
    </div>
</div>
<!--//contents-->

<script type="text/javascript" src="/js/naverEditor/js/HuskyEZCreator.js" charset="utf-8"></script>
<script>

    var editHelpWin = false;

    function editorClose() {
        $('#editHelpWin').empty();
        editHelpWin = false;
    }

    function editorHelp() {

        if (editHelpWin == false) {
            var html = '';
            html += '<div style="z-index:100;width:500px;position:absolute;top:215px;left:40%;borde' +
                'r:black 1px solid;background-color:white">';
            html += '<h3 style="padding-bottom:10px"><strong style="width:200px">※접근성 도움말</strong><' +
                '/h3>';
            html += '<strong>[툴바]</strong>';
            html += '<p style="padding-left:20px;padding-right:30px;padding-bottom:10px">ALT+F10 을 ' +
                '누르면 툴바로 이동합니다. 다음 버튼은 TAB 으로 이전 버튼은 SHIFT+TAB 으로 이동 가능합니다. ENTER 를 누르면 해당 버튼의 ' +
                '기능이 동작하고 글쓰기 영역으로 포커스가 이동합니다. ESC 를 누르면 아무런 기능을 실행하지 않고 글쓰기 영역으로 포커스가 이동합니다.</' +
                'p>';
            html += '<strong style="width:200px;padding-top:10px">[빠져 나가기]</strong>';
            html += '<p style="padding-left:20px;padding-bottom:10px"><font color="red">ALT+.</font' +
                '> 를 누르면 스마트 에디터 다음 요소로 <font color="red">ALT+,</font> 를 누르면 스마트에디터 이전 요소로 빠져나갈' +
                ' 수 있습니다.</p>';
            html += '<strong style="width:200px;padding-top:10px">[명령어 단축키]</strong>';
            html += '<ul style="padding-left:20px">';
            html += '<li>CTRL+B <span>굵게</span><span style="padding-left:100px">SHIFT+TAB<span><spa' +
                'n>내어쓰기</span></li>';
            html += '<li>CTRL+U <span>밑줄</span><span style="padding-left:100px">CTRL+F</span><span>' +
                '찾기</span></li>';
            html += '<li>CTRL+I <span>기울임 글꼴</span><span style="padding-left:62px">CTRL+H</span> <s' +
                'pan>바꾸기</span></li>';
            html += '<li>CTRL+D <span>취소선</span><span style="padding-left:87px">CTRL+K</span><span>' +
                '링크걸기</span><span style="padding-left:100px">TAB</span> <span>들여쓰기</span></li>';
            html += '<li></li>';
            html += '</ul>';
            html += '</div>';

            $('#editHelpWin').append(html);
            editHelpWin = true;
        } else {
            $('#editHelpWin').empty();
            editHelpWin = false;
        }
    }

    var object = [];

    nhn.husky.EZCreator.createInIFrame({
        oAppRef: object,
        elPlaceHolder: "content",
        sSkinURI: "/js/naverEditor/SmartEditor2Skin.html",
        fCreator: "createSEditor2",
        htParams: {
            // 툴바 사용 여부 (true:사용/ false:사용하지 않음)
            bUseToolbar: true,
            // 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
            bUseVerticalResizer: true,
            // 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
            bUseModeChanger: true
        },
        fOnAppLoad: function () {

            //기존 저장된 내용의 text 내용을 에디터상에 뿌려주고자 할때 사용

            object
                .getById["content"]
                .exec("PASTE_HTML", [""]);

        }
    });

    $('#subject').keydown(function (evt) {
        if (evt.keyCode == 13)
            return false;
        }
    );

    function saveNoticeInfo() {
        object.getById["content"].exec("UPDATE_CONTENTS_FIELD", []);

        if ($("#subject").val() == "") {
            alert("제목은 필수 입니다.");
            return false;
        }
        let value = $("#content").val();
        if ( value === "") {
            alert("내용은 필수 입니다.");
            return false;
        }
        value = value.replace(/<[^>]*>?/g, '');
        if (value.replaceAll('&nbsp;', '') === ""){
            alert("내용은 필수 입니다.");
            return false;
        }

        const file1 = $("#attachFile1");
        const file2 = $("#attachFile2");
        const file3 = $("#attachFile3");
        const fileArr = [file1, file2, file3];

        for (let idx in fileArr){
            let file = fileArr[idx];
            if (file.val() && file[0].files[0].size > 200000000) {
                alert("첨부 파일 사이즈는 190MB 이내로 등록 가능합니다. [ 첨부파일 #" + (Number(idx) + 1) + " ]");
                file.focus();
                return false;
            }
        }

        $("#uploadForm").submit();
    }
</script>